{% extends "styleguide2/simple_page.html" %}

{% load wagtailcore_tags %}

{% block content %}
  {% block navbar %}
   {% include 'styleguide2/includes/organisms/layout/district/navbar.html' with selected_item=page.get_menu_title %}
  {% endblock %}

  {% block header %}
    {% include 'styleguide2/includes/organisms/header/photo_header.html' with title=page.title main_image=page.main_image description=page.perex %}
  {% endblock %}

  <main class="container--wide mb-2 lg:mb-12">
    {% block inner_content %}
      <div class="mt-8 __inner-content">
        <section>
          {% for block in page.content %}
            {% include_block block with block_id=block.id %}
          {% endfor %}
        </section>

        <section id="mapa">
          {% if page.map_title %}
            <h2 class="head-alt-md mb-4">{{ page.map_title }}</h2>
          {% endif %}

          <div
            class="v-geo-feature-collection"
            data-wrapper-class="container-padding--zero lg:container-padding--auto"
            data-initial-zoom="14"
            data-tile-server-config="{{ js_map.tile_server_config }}"
            data-tile-style="{{ js_map.style }}"
            data-categories="{{ js_map.categories }}"
            data-geojson="{{ js_map.geojson }}"
          ></div>
        </section>

        <section id="kategorie">
          {% if page.category_list_title %}
            <h2 class="head-alt-md mb-4">{{ page.category_list_title }}</h2>
          {% endif %}

          <div class="grid grid-cols-1 md:grid-cols-2 gap-4 md:gap-8">
            {% for category, features in features_by_category %}
              <div class="card md:elevation-2" style="border-right: 4px rgb({{ category.rgb.0 }}, {{ category.rgb.1 }}, {{ category.rgb.2 }}) solid;">
                <div class="card__body p-4">
                  <h3 class="head-allcaps-heavy-2xs mb-2">{{ category.name }}</h3>
                  <ul class="leading-normal {% if not forloop.last %}mb-4{% endif %} md:mb-0">
                    {% for feature in features %}
                      <li>
                          <span class="rounded-full inline-flex items-center justify-center bg-grey-125 font-bold text-center text-xs w-5 h-5 mr-2 no-underline">
                            <a href="?item={{ feature.pk }}-{{ feature.slug }}" class="no-underline js-feature-item-anchor">{{ feature.index }}</a>
                          </span>
                          <a href="?item={{ feature.pk }}-{{ feature.slug }}" class="js-feature-item-anchor"><span class="text-sm underline">{{ feature.title }}</span></a>
                        </a>
                      </li>
                    {% endfor %}
                  </ul>
                </div>
              </div>
            {% endfor %}
          </div>
        </section>

        {% if page.content_after %}
          <section class="my-4">
            {% for block in page.content_after %}
              {% include_block block with block_id=block.id %}
            {% endfor %}
          </section>
        {% endif %}

        {% if page.content_footer %}
          <section class="my-4">
            {% for block in page.content_footer %}
              {% include_block block with block_id=block.id %}
            {% endfor %}
          </section>
        {% endif%}
      </div>
    {% endblock %}
  </main>
{% endblock %}


{% block scripts %}
<script>
  /* Handle .js-feature-item-anchor clicks without page reloads. */
  Array.from(document.getElementsByClassName("js-feature-item-anchor")).forEach((el) => {
    el.addEventListener("click", (evt) => {
      evt.preventDefault();
      const url = new URL(window.location);

      // Set slug from URL.
      url.searchParams.set("item", el.getAttribute("href").substring(6));

      // Emulate user browser navigation event.
      history.pushState({}, "", url);
      window.dispatchEvent(new Event("popstate"));
      return false;
    })
  })
</script>
{% endblock %}
